- [HTTP request](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#body.request_body)
- [Response body](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#body.response_body)
  - [JSON representation](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#body.ListQuotaGroupsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#body.aspect)
- [QuotaGroup](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#QuotaGroup)
  - [JSON representation](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#QuotaGroup.SCHEMA_REPRESENTATION)
- [MethodDetails](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#MethodDetails)
  - [JSON representation](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#MethodDetails.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#try-it)

Lists the daily call quota and usage per group for your CSS Center account.

### HTTP request

`GET https://css.googleapis.com/v1/{parent=accounts/*}/quotas`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The CSS account that owns the collection of method quotas and resources. In most cases, this is the CSS domain. Format: accounts/{account} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of quotas to return in the response, used for paging. Defaults to 500; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. Token (if provided) to retrieve the subsequent page. All other parameters must match the original call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the ListMethodGroups method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "quotaGroups": [ { object (`https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#QuotaGroup`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `quotaGroups[]` | ``object (`https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#QuotaGroup`)`` The methods, current quota usage and limits per each group. The quota is shared between all methods in the group. The groups are sorted in descending order based on `https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#QuotaGroup.FIELDS.quota_usage`. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## QuotaGroup

The group information for methods in the CSS API. The quota is shared between all methods in the group. Even if none of the methods within the group have usage the information for the group is returned.

| JSON representation |
|---|
| ``` { "name": string, "quotaUsage": string, "quotaLimit": string, "quotaMinuteLimit": string, "methodDetails": [ { object (`https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#MethodDetails`) } ] } ``` |

| Fields ||
|---|---|
| `name` | `string` Identifier. The resource name of the quota group. Format: accounts/{account}/quotas/{group} Example: `accounts/12345678/quotas/css-products-insert` Note: The {group} part is not guaranteed to follow a specific pattern. |
| `quotaUsage` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The current quota usage, meaning the number of calls already made on a given day to the methods in the group. The daily quota limits reset at 12:00 PM midday UTC. |
| `quotaLimit` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The maximum number of calls allowed per day for the group. |
| `quotaMinuteLimit` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The maximum number of calls allowed per minute for the group. |
| `methodDetails[]` | ``object (`https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts.quotas/list#MethodDetails`)`` Output only. List of all methods group quota applies to. |

## MethodDetails

The method details per method in the CSS API.

| JSON representation |
|---|
| ``` { "method": string, "version": string, "subapi": string, "path": string } ``` |

| Fields ||
|---|---|
| `method` | `string` Output only. The name of the method for example `cssproductsservice.listcssproducts`. |
| `version` | `string` Output only. The API version that the method belongs to. |
| `subapi` | `string` Output only. The sub-API that the method belongs to. In the CSS API, this is always `css`. |
| `path` | `string` Output only. The path for the method such as `v1/cssproductsservice.listcssproducts`. |